<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a808880626da2e126e7f14fa5cb3ae1eb">addControlVariables</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a9c4b0e48d6c919b2c8802b2d9b0ff87a">addCosts</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a010d18e045701d564302519ea7defdad">addGenericPathConstraints</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a704bf161ccf676b08dc3d0cc671b23a6">addKinematicConstraints</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a931dd4b95e5ba8e44395c7c18981ae5a">addParameters</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a598829729d95ef8070331977ba5a9c77">addStateVariables</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a8c82ea5464ed2c8006ea6131cbdf5588">applyParametersToModelProperties</a>(const tropter::VectorX&lt; T &gt; &amp;parameters) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#ac5bc22e3a6598fc09caa16bfa2c4cc6a">calc_cost</a>(int cost_index, const tropter::CostInput&lt; T &gt; &amp;in, T &amp;cost_value) const override</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a9f248c1d9d4049f4be9ef243973c15dd">calc_cost_integrand</a>(int cost_index, const tropter::Input&lt; T &gt; &amp;in, T &amp;integrand) const override</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a9892042d0aff0b5b6f01e017b7351b2b">calcAndApplyKinematicConstraintForces</a>(const tropter::VectorX&lt; T &gt; &amp;adjuncts, const SimTK::State &amp;stateBase, SimTK::State &amp;stateDisabledConstraints) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a2a25a4c4ff48bcdcac9fe1bcfdb8f1ab">calcKinematicConstraintErrors</a>(const SimTK::Vector &amp;udot, tropter::Output&lt; T &gt; &amp;out) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a591dfa4e85b475205e0cd4fbb432c961">calcPathConstraintErrors</a>(const SimTK::State &amp;state, tropter::Output&lt; T &gt; &amp;out) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#ac05f1989e272a20d7731f09de5c2ea97">convertIterateTropterToMoco</a>(const tropIterateType &amp;tropSol) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a182ca3f2b26960a30003ac85aba6b145">convertToMocoSolution</a>(const tropter::Solution &amp;tropSol) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#abbace7ac065e345b47c65a6225e35b2a">convertToMocoTrajectory</a>(const tropter::Iterate &amp;tropSol) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a7cd5f97fe85c8a7c0ccc96ee7b6b071f">convertToTropterIterate</a>(const MocoTrajectory &amp;mocoIter) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#abc4f928fb5a6be8594703808a4a10dd5">initialize_on_iterate</a>(const Eigen::VectorXd &amp;parameters) const override final</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#ab345f853e5e404fec66273e61dc26eb4">m_constraintBodyForces</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#ab7ecc1d23e2b5b211e4196f6634f0b57">m_constraintMobilityForces</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a7a4015233307aaaec5c0ed70abcb05b7">m_fileDeletionThrower</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#ae3ae389bf1803effec14a7fd2a0aaad1">m_implicit</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a3eea7a48a863fad0c663dcfd33e73a3d">m_mocoProbRep</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a07d5ff1d9c9d9bab13a3a7a732dedc18">m_mocoTropterSolver</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a24abac8b8f3d3334269d381fd32de60d">m_modelBase</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#af47e6985f83a5199516f3e47c38944b0">m_modelControlIndices</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a1f8f04b99e1fe47483e039e35197dea0">m_modelDisabledConstraints</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a49a06d7fe350b26d293291fe24b1e72e">m_multiplierCostIndex</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a94f762e7a24fb4db3e532a07f3e22d61">m_numKinematicConstraintEquations</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a1a5e8d1b9c90829fde3ab98b18f95471">m_numMultipliers</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a1887ddafbd71b2d106696057c0037d4a">m_numPathConstraintEquations</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#aceee7b0fdb7e5669c04f42d5919b7758">m_pvaerr</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#aa2423aee1be43dbf3be2fcf2dd1052b8">m_stateBase</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a2e7257cfc49917c107ab35150448726c">m_stateDisabledConstraints</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a6f1364771977fdac257569214caff8b1">m_svNamesInSysOrder</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a662b5247552bd21fb57d753f62223ea5">m_total_ma</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a7219dde7664cf05e4b274eea9d8d03ae">m_total_mp</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a0e472072f03268b6968b2274ae55469e">m_total_mv</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a06daa1fb7715ebd8f33abd46644cf59f">m_yIndexMap</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a31c6be3bbbc0a99599356ba6f1ca27a8">qdot</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a905db253b5ebbce3a9bccb75ee900a8c">qdotCorr</a></td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a02874c535c804fe74e5c2eedb3da20e9">setSimTKState</a>(const tropter::Input&lt; T &gt; &amp;in) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a7f7d3a3d0b635432f3c86deacfe5dcb9">setSimTKState</a>(const T &amp;time, const Eigen::Ref&lt; const tropter::VectorX&lt; T &gt;&gt; &amp;states, const Eigen::Ref&lt; const tropter::VectorX&lt; T &gt;&gt; &amp;controls, const Eigen::Ref&lt; const tropter::VectorX&lt; T &gt;&gt; &amp;adjuncts, int stateDisConIndex=0) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#afdadbfd395c88088b685a0034e8f5f2a">setSimTKStateForCostFinal</a>(const tropter::CostInput&lt; T &gt; &amp;in) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a4701452d9a143cafa19ebf07bfc8e6ec">setSimTKStateForCostInitial</a>(const tropter::CostInput&lt; T &gt; &amp;in) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#afe0e15845a945621e965456da231221c">setSimTKTimeAndStates</a>(const T &amp;time, Eigen::Ref&lt; const tropter::VectorX&lt; T &gt;&gt; states, SimTK::State &amp;simTKState) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a5d911ac064c0b2decc700e3084ea177b">TropterProblemBase</a>(const MocoTropterSolver &amp;solver, bool implicit=false)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:47 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
